import{s as fe,n as _e,o as be}from"../chunks/scheduler.7da89386.js";import{S as $e,i as ke,g as l,s as n,r as E,A as xe,h as i,f as r,c as o,j as y,u as C,x as T,k as w,y as t,a as p,v as P,d as L,t as D,w as q}from"../chunks/index.0b7befd3.js";import{D as N}from"../chunks/Docstring.80026b50.js";import{H as Ee,E as ye}from"../chunks/EditOnGithub.0cb2bc8e.js";function Ce(ge){let d,K,j,O,h,R,a,f,Y,I,ce="Keeps track of the overall evaluation process and relevant informations.",Z,V,de=`The <code>EvaluationTracker</code> contains specific loggers for experiments details
(<code>DetailsLogger</code>), metrics (<code>MetricsLogger</code>), task versions
(<code>VersionsLogger</code>) as well as for the general configurations of both the
specific task (<code>TaskConfigLogger</code>) and overall evaluation run
(<code>GeneralConfigLogger</code>).  It compiles the data from these loggers and
writes it to files, which can be published to the Hugging Face hub if
requested.`,ee,c,_,te,F,ue="Aggregates and returns all the logger’s experiment information in a dictionary.",ae,H,me="This function should be used to gather and display said information at the end of an evaluation run.",re,u,b,ne,M,ve="Pushes the experiment details (all the model predictions for every step) to the hub.",oe,m,$,le,z,pe="Fully updates the details repository metadata card for the currently evaluated model",ie,v,k,se,A,he="Saves the experiment information and results to files, and to the hub if requested.",U,x,B,G,J;return h=new Ee({props:{title:"EvaluationTracker",local:"lighteval.logging.evaluation_tracker.EvaluationTracker",headingTag:"h1"}}),f=new N({props:{name:"class lighteval.logging.evaluation_tracker.EvaluationTracker",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker",parameters:[{name:"output_dir",val:": str"},{name:"save_details",val:": bool = True"},{name:"push_to_hub",val:": bool = False"},{name:"push_to_tensorboard",val:": bool = False"},{name:"hub_results_org",val:": str | None = ''"},{name:"tensorboard_metric_prefix",val:": str = 'eval'"},{name:"public",val:": bool = False"},{name:"nanotron_run_info",val:": GeneralArgs = None"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L84"}}),_=new N({props:{name:"generate_final_dict",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.generate_final_dict",parameters:[],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L221"}}),b=new N({props:{name:"push_to_hub",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.push_to_hub",parameters:[{name:"date_id",val:": str"},{name:"details",val:": dict"},{name:"results_dict",val:": dict"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L242"}}),$=new N({props:{name:"recreate_metadata_card",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.recreate_metadata_card",parameters:[{name:"repo_id",val:": str"}],parametersDescription:[{anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.recreate_metadata_card.repo_id",description:"<strong>repo_id</strong> (str) &#x2014; Details dataset repository path on the hub (<code>org/dataset</code>)",name:"repo_id"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L283"}}),k=new N({props:{name:"save",anchor:"lighteval.logging.evaluation_tracker.EvaluationTracker.save",parameters:[],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/logging/evaluation_tracker.py#L150"}}),x=new ye({props:{source:"https://github.com/huggingface/lighteval/blob/main/docs/source/package_reference/evaluation_tracker.mdx"}}),{c(){d=l("meta"),K=n(),j=l("p"),O=n(),E(h.$$.fragment),R=n(),a=l("div"),E(f.$$.fragment),Y=n(),I=l("p"),I.textContent=ce,Z=n(),V=l("p"),V.innerHTML=de,ee=n(),c=l("div"),E(_.$$.fragment),te=n(),F=l("p"),F.textContent=ue,ae=n(),H=l("p"),H.textContent=me,re=n(),u=l("div"),E(b.$$.fragment),ne=n(),M=l("p"),M.textContent=ve,oe=n(),m=l("div"),E($.$$.fragment),le=n(),z=l("p"),z.textContent=pe,ie=n(),v=l("div"),E(k.$$.fragment),se=n(),A=l("p"),A.textContent=he,U=n(),E(x.$$.fragment),B=n(),G=l("p"),this.h()},l(e){const g=xe("svelte-u9bgzb",document.head);d=i(g,"META",{name:!0,content:!0}),g.forEach(r),K=o(e),j=i(e,"P",{}),y(j).forEach(r),O=o(e),C(h.$$.fragment,e),R=o(e),a=i(e,"DIV",{class:!0});var s=y(a);C(f.$$.fragment,s),Y=o(s),I=i(s,"P",{"data-svelte-h":!0}),T(I)!=="svelte-bz3kuk"&&(I.textContent=ce),Z=o(s),V=i(s,"P",{"data-svelte-h":!0}),T(V)!=="svelte-1fqhz3x"&&(V.innerHTML=de),ee=o(s),c=i(s,"DIV",{class:!0});var S=y(c);C(_.$$.fragment,S),te=o(S),F=i(S,"P",{"data-svelte-h":!0}),T(F)!=="svelte-qqp5v"&&(F.textContent=ue),ae=o(S),H=i(S,"P",{"data-svelte-h":!0}),T(H)!=="svelte-1ke5vz1"&&(H.textContent=me),S.forEach(r),re=o(s),u=i(s,"DIV",{class:!0});var Q=y(u);C(b.$$.fragment,Q),ne=o(Q),M=i(Q,"P",{"data-svelte-h":!0}),T(M)!=="svelte-1lj091"&&(M.textContent=ve),Q.forEach(r),oe=o(s),m=i(s,"DIV",{class:!0});var W=y(m);C($.$$.fragment,W),le=o(W),z=i(W,"P",{"data-svelte-h":!0}),T(z)!=="svelte-1l1nn02"&&(z.textContent=pe),W.forEach(r),ie=o(s),v=i(s,"DIV",{class:!0});var X=y(v);C(k.$$.fragment,X),se=o(X),A=i(X,"P",{"data-svelte-h":!0}),T(A)!=="svelte-1jp5uy4"&&(A.textContent=he),X.forEach(r),s.forEach(r),U=o(e),C(x.$$.fragment,e),B=o(e),G=i(e,"P",{}),y(G).forEach(r),this.h()},h(){w(d,"name","hf:doc:metadata"),w(d,"content",Te),w(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(u,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(m,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,g){t(document.head,d),p(e,K,g),p(e,j,g),p(e,O,g),P(h,e,g),p(e,R,g),p(e,a,g),P(f,a,null),t(a,Y),t(a,I),t(a,Z),t(a,V),t(a,ee),t(a,c),P(_,c,null),t(c,te),t(c,F),t(c,ae),t(c,H),t(a,re),t(a,u),P(b,u,null),t(u,ne),t(u,M),t(a,oe),t(a,m),P($,m,null),t(m,le),t(m,z),t(a,ie),t(a,v),P(k,v,null),t(v,se),t(v,A),p(e,U,g),P(x,e,g),p(e,B,g),p(e,G,g),J=!0},p:_e,i(e){J||(L(h.$$.fragment,e),L(f.$$.fragment,e),L(_.$$.fragment,e),L(b.$$.fragment,e),L($.$$.fragment,e),L(k.$$.fragment,e),L(x.$$.fragment,e),J=!0)},o(e){D(h.$$.fragment,e),D(f.$$.fragment,e),D(_.$$.fragment,e),D(b.$$.fragment,e),D($.$$.fragment,e),D(k.$$.fragment,e),D(x.$$.fragment,e),J=!1},d(e){e&&(r(K),r(j),r(O),r(R),r(a),r(U),r(B),r(G)),r(d),q(h,e),q(f),q(_),q(b),q($),q(k),q(x,e)}}}const Te='{"title":"EvaluationTracker","local":"lighteval.logging.evaluation_tracker.EvaluationTracker","sections":[],"depth":1}';function we(ge){return be(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ie extends $e{constructor(d){super(),ke(this,d,we,Ce,fe,{})}}export{Ie as component};
