import{s as de,n as ce,o as ge}from"../chunks/scheduler.7da89386.js";import{S as pe,i as fe,g as i,s as a,r as d,A as _e,h as r,f as o,c as l,j as c,u as g,x as me,k as p,y as P,a as n,v as f,d as _,t as v,w as h}from"../chunks/index.0b7befd3.js";import{D}from"../chunks/Docstring.80026b50.js";import{H as ve,E as he}from"../chunks/EditOnGithub.0cb2bc8e.js";function ue(ee){let m,U,E,H,u,V,s,b,Y,I,oe="Base configuration class for models.",Z,q,te=`Methods:
<strong>post_init</strong>(): Performs post-initialization checks on the configuration.
_init_configs(model_name, env_config): Initializes the model configuration.
init_configs(env_config): Initializes the model configuration using the environment configuration.
get_model_sha(): Retrieves the SHA of the model.`,W,y,$,S,x,C,G,N,z,j,M,k,R,w,B,J,O,F,K,T,Q,A,X;return u=new ve({props:{title:"ModelConfig",local:"lighteval.models.model_config.BaseModelConfig",headingTag:"h1"}}),b=new D({props:{name:"class lighteval.models.model_config.BaseModelConfig",anchor:"lighteval.models.model_config.BaseModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"accelerator",val:": Accelerator = None"},{name:"tokenizer",val:": typing.Optional[str] = None"},{name:"multichoice_continuations_start_space",val:": typing.Optional[bool] = None"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"revision",val:": str = 'main'"},{name:"batch_size",val:": int = -1"},{name:"max_gen_toks",val:": typing.Optional[int] = 256"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"model_parallel",val:": typing.Optional[bool] = None"},{name:"dtype",val:": typing.Union[str, torch.dtype, NoneType] = None"},{name:"device",val:": typing.Union[int, str] = 'cuda'"},{name:"quantization_config",val:": typing.Optional[transformers.utils.quantization_config.BitsAndBytesConfig] = None"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"compile",val:": bool = False"}],parametersDescription:[{anchor:"lighteval.models.model_config.BaseModelConfig.pretrained",description:`<strong>pretrained</strong> (str) &#x2014;
HuggingFace Hub model ID name or the path to a pre-trained
model to load. This is effectively the <code>pretrained_model_name_or_path</code>
argument of <code>from_pretrained</code> in the HuggingFace <code>transformers</code> API.`,name:"pretrained"},{anchor:"lighteval.models.model_config.BaseModelConfig.accelerator",description:"<strong>accelerator</strong> (Accelerator) &#x2014; accelerator to use for model training.",name:"accelerator"},{anchor:"lighteval.models.model_config.BaseModelConfig.tokenizer",description:`<strong>tokenizer</strong> (Optional[str]) &#x2014; HuggingFace Hub tokenizer ID that will be
used for tokenization.`,name:"tokenizer"},{anchor:"lighteval.models.model_config.BaseModelConfig.multichoice_continuations_start_space",description:`<strong>multichoice_continuations_start_space</strong> (Optional[bool]) &#x2014; Whether to add a
space at the start of each continuation in multichoice generation.
For example, context: &#x201C;What is the capital of France?&#x201D; and choices: &#x201C;Paris&#x201D;, &#x201C;London&#x201D;.
Will be tokenized as: &#x201C;What is the capital of France? Paris&#x201D; and &#x201C;What is the capital of France? London&#x201D;.
True adds a space, False strips a space, None does nothing`,name:"multichoice_continuations_start_space"},{anchor:"lighteval.models.model_config.BaseModelConfig.pairwise_tokenization",description:"<strong>pairwise_tokenization</strong> (bool) &#x2014; Whether to tokenize the context and continuation as separately or together.",name:"pairwise_tokenization"},{anchor:"lighteval.models.model_config.BaseModelConfig.subfolder",description:"<strong>subfolder</strong> (Optional[str]) &#x2014; The subfolder within the model repository.",name:"subfolder"},{anchor:"lighteval.models.model_config.BaseModelConfig.revision",description:"<strong>revision</strong> (str) &#x2014; The revision of the model.",name:"revision"},{anchor:"lighteval.models.model_config.BaseModelConfig.batch_size",description:"<strong>batch_size</strong> (int) &#x2014; The batch size for model training.",name:"batch_size"},{anchor:"lighteval.models.model_config.BaseModelConfig.max_gen_toks",description:"<strong>max_gen_toks</strong> (Optional[int]) &#x2014; The maximum number of tokens to generate.",name:"max_gen_toks"},{anchor:"lighteval.models.model_config.BaseModelConfig.max_length",description:"<strong>max_length</strong> (Optional[int]) &#x2014; The maximum length of the generated output.",name:"max_length"},{anchor:"lighteval.models.model_config.BaseModelConfig.add_special_tokens",description:`<strong>add_special_tokens</strong> (bool, optional, defaults to True) &#x2014; Whether to add special tokens to the input sequences.
If <code>None</code>, the default value will be set to <code>True</code> for seq2seq models (e.g. T5) and
<code>False</code> for causal models.`,name:"add_special_tokens"},{anchor:"lighteval.models.model_config.BaseModelConfig.model_parallel",description:`<strong>model_parallel</strong> (bool, optional, defaults to False) &#x2014;
True/False: force to use or not the <code>accelerate</code> library to load a large
model across multiple devices.
Default: None which corresponds to comparing the number of processes with
the number of GPUs. If it&#x2019;s smaller =&gt; model-parallelism, else not.`,name:"model_parallel"},{anchor:"lighteval.models.model_config.BaseModelConfig.dtype",description:`<strong>dtype</strong> (Union[str, torch.dtype], optional, defaults to None) &#x2014;):
Converts the model weights to <code>dtype</code>, if specified. Strings get
converted to <code>torch.dtype</code> objects (e.g. <code>float16</code> -&gt; <code>torch.float16</code>).
Use <code>dtype=&quot;auto&quot;</code> to derive the type from the model&#x2019;s weights.`,name:"dtype"},{anchor:"lighteval.models.model_config.BaseModelConfig.device",description:"<strong>device</strong> (Union[int, str]) &#x2014; device to use for model training.",name:"device"},{anchor:"lighteval.models.model_config.BaseModelConfig.quantization_config",description:`<strong>quantization_config</strong> (Optional[BitsAndBytesConfig]) &#x2014; quantization
configuration for the model, manually provided to load a normally floating point
model at a quantized precision. Needed for 4-bit and 8-bit precision.`,name:"quantization_config"},{anchor:"lighteval.models.model_config.BaseModelConfig.trust_remote_code",description:`<strong>trust_remote_code</strong> (bool) &#x2014; Whether to trust remote code during model
loading.`,name:"trust_remote_code"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/models/model_config.py#L49"}}),$=new D({props:{name:"class lighteval.models.model_config.AdapterModelConfig",anchor:"lighteval.models.model_config.AdapterModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"accelerator",val:": Accelerator = None"},{name:"tokenizer",val:": typing.Optional[str] = None"},{name:"multichoice_continuations_start_space",val:": typing.Optional[bool] = None"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"revision",val:": str = 'main'"},{name:"batch_size",val:": int = -1"},{name:"max_gen_toks",val:": typing.Optional[int] = 256"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"model_parallel",val:": typing.Optional[bool] = None"},{name:"dtype",val:": typing.Union[str, torch.dtype, NoneType] = None"},{name:"device",val:": typing.Union[int, str] = 'cuda'"},{name:"quantization_config",val:": typing.Optional[transformers.utils.quantization_config.BitsAndBytesConfig] = None"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"compile",val:": bool = False"},{name:"base_model",val:": str = None"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/models/model_config.py#L205"}}),C=new D({props:{name:"class lighteval.models.model_config.DeltaModelConfig",anchor:"lighteval.models.model_config.DeltaModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"accelerator",val:": Accelerator = None"},{name:"tokenizer",val:": typing.Optional[str] = None"},{name:"multichoice_continuations_start_space",val:": typing.Optional[bool] = None"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"revision",val:": str = 'main'"},{name:"batch_size",val:": int = -1"},{name:"max_gen_toks",val:": typing.Optional[int] = 256"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"add_special_tokens",val:": bool = True"},{name:"model_parallel",val:": typing.Optional[bool] = None"},{name:"dtype",val:": typing.Union[str, torch.dtype, NoneType] = None"},{name:"device",val:": typing.Union[int, str] = 'cuda'"},{name:"quantization_config",val:": typing.Optional[transformers.utils.quantization_config.BitsAndBytesConfig] = None"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"compile",val:": bool = False"},{name:"base_model",val:": str = None"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/models/model_config.py#L188"}}),z=new D({props:{name:"class lighteval.models.model_config.InferenceEndpointModelConfig",anchor:"lighteval.models.model_config.InferenceEndpointModelConfig",parameters:[{name:"endpoint_name",val:": str = None"},{name:"model_name",val:": str = None"},{name:"should_reuse_existing",val:": bool = False"},{name:"accelerator",val:": str = 'gpu'"},{name:"model_dtype",val:": str = None"},{name:"vendor",val:": str = 'aws'"},{name:"region",val:": str = 'us-east-1'"},{name:"instance_size",val:": str = None"},{name:"instance_type",val:": str = None"},{name:"framework",val:": str = 'pytorch'"},{name:"endpoint_type",val:": str = 'protected'"},{name:"add_special_tokens",val:": bool = True"},{name:"revision",val:": str = 'main'"},{name:"namespace",val:": str = None"},{name:"image_url",val:": str = None"},{name:"env_vars",val:": dict = None"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/models/model_config.py#L270"}}),k=new D({props:{name:"class lighteval.models.model_config.InferenceModelConfig",anchor:"lighteval.models.model_config.InferenceModelConfig",parameters:[{name:"model",val:": str"},{name:"add_special_tokens",val:": bool = True"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/models/model_config.py#L264"}}),B=new D({props:{name:"class lighteval.models.model_config.TGIModelConfig",anchor:"lighteval.models.model_config.TGIModelConfig",parameters:[{name:"inference_server_address",val:": str"},{name:"inference_server_auth",val:": str"},{name:"model_id",val:": str"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/models/model_config.py#L252"}}),F=new D({props:{name:"class lighteval.models.model_config.VLLMModelConfig",anchor:"lighteval.models.model_config.VLLMModelConfig",parameters:[{name:"pretrained",val:": str"},{name:"gpu_memory_utilisation",val:": float = 0.9"},{name:"revision",val:": str = 'main'"},{name:"dtype",val:": str | None = None"},{name:"tensor_parallel_size",val:": int = 1"},{name:"pipeline_parallel_size",val:": int = 1"},{name:"data_parallel_size",val:": int = 1"},{name:"max_model_length",val:": int | None = None"},{name:"swap_space",val:": int = 4"},{name:"seed",val:": int = 1234"},{name:"trust_remote_code",val:": bool = False"},{name:"use_chat_template",val:": bool = False"},{name:"add_special_tokens",val:": bool = True"},{name:"multichoice_continuations_start_space",val:": bool = True"},{name:"pairwise_tokenization",val:": bool = False"},{name:"subfolder",val:": typing.Optional[str] = None"},{name:"temperature",val:": float = 0.6"}],source:"https://github.com/huggingface/lighteval/blob/main/src/lighteval/models/model_config.py#L223"}}),T=new he({props:{source:"https://github.com/huggingface/lighteval/blob/main/docs/source/package_reference/model_config.mdx"}}),{c(){m=i("meta"),U=a(),E=i("p"),H=a(),d(u.$$.fragment),V=a(),s=i("div"),d(b.$$.fragment),Y=a(),I=i("p"),I.textContent=oe,Z=a(),q=i("p"),q.innerHTML=te,W=a(),y=i("div"),d($.$$.fragment),S=a(),x=i("div"),d(C.$$.fragment),G=a(),N=i("div"),d(z.$$.fragment),j=a(),M=i("div"),d(k.$$.fragment),R=a(),w=i("div"),d(B.$$.fragment),J=a(),O=i("div"),d(F.$$.fragment),K=a(),d(T.$$.fragment),Q=a(),A=i("p"),this.h()},l(e){const t=_e("svelte-u9bgzb",document.head);m=r(t,"META",{name:!0,content:!0}),t.forEach(o),U=l(e),E=r(e,"P",{}),c(E).forEach(o),H=l(e),g(u.$$.fragment,e),V=l(e),s=r(e,"DIV",{class:!0});var L=c(s);g(b.$$.fragment,L),Y=l(L),I=r(L,"P",{"data-svelte-h":!0}),me(I)!=="svelte-rh03fc"&&(I.textContent=oe),Z=l(L),q=r(L,"P",{"data-svelte-h":!0}),me(q)!=="svelte-mdcuay"&&(q.innerHTML=te),L.forEach(o),W=l(e),y=r(e,"DIV",{class:!0});var ne=c(y);g($.$$.fragment,ne),ne.forEach(o),S=l(e),x=r(e,"DIV",{class:!0});var ae=c(x);g(C.$$.fragment,ae),ae.forEach(o),G=l(e),N=r(e,"DIV",{class:!0});var le=c(N);g(z.$$.fragment,le),le.forEach(o),j=l(e),M=r(e,"DIV",{class:!0});var ie=c(M);g(k.$$.fragment,ie),ie.forEach(o),R=l(e),w=r(e,"DIV",{class:!0});var re=c(w);g(B.$$.fragment,re),re.forEach(o),J=l(e),O=r(e,"DIV",{class:!0});var se=c(O);g(F.$$.fragment,se),se.forEach(o),K=l(e),g(T.$$.fragment,e),Q=l(e),A=r(e,"P",{}),c(A).forEach(o),this.h()},h(){p(m,"name","hf:doc:metadata"),p(m,"content",be),p(s,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(N,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),p(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){P(document.head,m),n(e,U,t),n(e,E,t),n(e,H,t),f(u,e,t),n(e,V,t),n(e,s,t),f(b,s,null),P(s,Y),P(s,I),P(s,Z),P(s,q),n(e,W,t),n(e,y,t),f($,y,null),n(e,S,t),n(e,x,t),f(C,x,null),n(e,G,t),n(e,N,t),f(z,N,null),n(e,j,t),n(e,M,t),f(k,M,null),n(e,R,t),n(e,w,t),f(B,w,null),n(e,J,t),n(e,O,t),f(F,O,null),n(e,K,t),f(T,e,t),n(e,Q,t),n(e,A,t),X=!0},p:ce,i(e){X||(_(u.$$.fragment,e),_(b.$$.fragment,e),_($.$$.fragment,e),_(C.$$.fragment,e),_(z.$$.fragment,e),_(k.$$.fragment,e),_(B.$$.fragment,e),_(F.$$.fragment,e),_(T.$$.fragment,e),X=!0)},o(e){v(u.$$.fragment,e),v(b.$$.fragment,e),v($.$$.fragment,e),v(C.$$.fragment,e),v(z.$$.fragment,e),v(k.$$.fragment,e),v(B.$$.fragment,e),v(F.$$.fragment,e),v(T.$$.fragment,e),X=!1},d(e){e&&(o(U),o(E),o(H),o(V),o(s),o(W),o(y),o(S),o(x),o(G),o(N),o(j),o(M),o(R),o(w),o(J),o(O),o(K),o(Q),o(A)),o(m),h(u,e),h(b),h($),h(C),h(z),h(k),h(B),h(F),h(T,e)}}}const be='{"title":"ModelConfig","local":"lighteval.models.model_config.BaseModelConfig","sections":[],"depth":1}';function ye(ee){return ge(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ze extends pe{constructor(m){super(),fe(this,m,ye,ue,de,{})}}export{ze as component};
